//----------------------------------------------------------------------//
//  hCugp													//
//----------------------------------------------------------------------//
#ifndef DrvGraphH
#define DrvGraphH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.ComCtrls.hpp>

//---------------------------------------------------------------------------
class TDriveGraph : public TForm
{
__published:	// IDE ŊǗR|[lg
	TButton *HideCanBtn;
	TCheckBox *OldOdrCheckBox;
	TComboBox *DriveComboBox;
	TComboBox *SizeComboBox;
	TPaintBox *PaintBox1;
	TPanel *Panel1;
	TPanel *Panel2;
	TPanel *Panel3;
	TScrollBox *GraphScrollBox;
	TStatusBar *StatusBar1;

	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall PaintBox1Paint(TObject *Sender);
	void __fastcall FormResize(TObject *Sender);
	void __fastcall PaintBox1MouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift,
          int X, int Y);
	void __fastcall DriveComboBoxChange(TObject *Sender);
	void __fastcall SizeComboBoxChange(TObject *Sender);
	void __fastcall OldOdrCheckBoxClick(TObject *Sender);

private:	// [U[錾
	bool DlgInitialized;
	TStringList *DataList;
	int  GraphTopX;
	int  BarSize;

	void __fastcall SetStatus(int idx);

public:		// [U[錾
	UnicodeString DriveName;

	__fastcall TDriveGraph(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDriveGraph *DriveGraph;
//---------------------------------------------------------------------------
#endif
